# PFotos 1.3 Copyright(C) 2017-2019 Cora Kohlmeier, Frank Hamberg
#########################################
# called from preferences
#########################################
proc writedefaults {} {
global pfotoshome pfotosrcs dataname datahome imageviewer
global biniso binfocallength binfocallength35 binaperture binexposure
global widgetlist widgetwindow env_ok
global bfs bf bg fg fs cw colorscheme bgcolorvalue fgcolorvalue  
global lang wmwidth wmheight start_histogram histsize
global excludetypes excludedirs excludefilelist excludefiles
global browserlimit numthumbcolumns
global excludenotime excludedirlist excludefilelist excludetypelist

file copy -force $pfotosrcs/pfotosresource $pfotosrcs/pfotosresource.bak

set wid [open $pfotosrcs/pfotosresource w]

puts $wid "set env_ok $env_ok"
puts $wid "set colorscheme $colorscheme"; #Background color"
puts $wid "set fs $fs"; #Fontsize
puts $wid "set cw $cw"; #Fontsize

#binlists
puts $wid "set biniso \"$biniso\""
puts $wid "set binaperture \"$binaperture\""
puts $wid "set binfocallength35 \"$binfocallength35\""
puts $wid "set binfocallength \"$binfocallength\""
puts $wid "set binexposure \"$binexposure\""

for {set k 1} {$k<=2} {incr k} {
  foreach item $widgetlist {
    if {$item!="imgname"} {	
       set pitem [maskSpace $item]
	   puts $wid "set widgetwindow($pitem,$k) $widgetwindow($item,$k)"
	}   
  }
}
puts $wid "set dataname \"[maskSpace $dataname]\""  	
puts $wid "set datahome \"[maskSpace $datahome]\""  
puts $wid "set imageviewer [list $imageviewer]"
puts $wid "set language $lang"
puts $wid "set wmwidth $wmwidth"
puts $wid "set wmheight $wmheight"
puts $wid "set start_histogram $start_histogram"
puts $wid "set excludetypes {$excludetypes}"
puts $wid "set excludedirs {$excludedirs}"
puts $wid "set excludefiles {$excludefiles}"
puts $wid "set bgcolorvalue(custom) $bgcolorvalue(custom)" 
puts $wid "set fgcolorvalue(custom) $fgcolorvalue(custom)" 
#puts $wid "set excludenotime $excludenotime"
puts $wid "set excludedirlist $excludedirlist"
puts $wid "set excludefilelist $excludefilelist" 
puts $wid "set excludetypelist $excludetypelist"
# Eingabe der Variable Browserlimit prüfen
# auf 10000 begrenzen
set temp [min [max 1 [expr int(1*$browserlimit)]] 100000]
puts $wid "set browserlimit $temp"
# Eingabe der Variable numthumbcolumns prüfen
# auf 32 begrenzen
set temp [min [max 1 [expr int(1*$numthumbcolumns)]] 32]
puts $wid "set numthumbcolumns $temp"
puts $wid "set histsize $histsize"
close $wid

}
proc readdefaults {} {
global pfotoshome pfotosrcs dataname datahome imageviewer DOS env_ok
global widgetlist widgetwindow
global biniso binfocallength binfocallength35 binaperture binexposure
global bfs bf bg fg fs cw colorscheme bgcolorvalue fgcolorvalue 
global language wmwidth wmheight start_histogram histsize
global excludetypes excludedirs excludefiles
global excludenotime excludedirlist excludefilelist excludetypelist

global browserlimit numthumbcolumns

if ![file exist $pfotosrcs/pfotosresource] \
    {file copy $pfotoshome/pfotosresource.defaults $pfotosrcs/pfotosresource}

set id [open $pfotosrcs/pfotosresource r]
while {[gets $id line]>=0} {
  eval $line
}
##########################################################################
if ![file isdirectory $datahome] {set env_ok 0}
if ![file exist $dataname] {set dataname "$pfotoshome/info/dummy.csv"; set env_ok 0}
if ![file exist $imageviewer] {
	set env_ok 0
	if {$DOS>=2} {if {$imageviewer=="open"} {set env_ok 1};set imageviewer "open"}
	if {$DOS==0} {if {$imageviewer=="xdg-open"} {set env_ok 1};set imageviewer "xdg-open"}
}
close $id
set bg $bgcolorvalue($colorscheme)
set fg $fgcolorvalue($colorscheme)
}

