# PFotos 1.3 Copyright(C) 2017-2019 Cora Kohlmeier, Frank Hamberg
proc export_selection { } {
global bfs bg fg
global pfotoshome pwd home dataname datahome
global filedir
global langstring lang
global alldata imagenumber csvsep
if ![info exist filedir] {set filedir $datahome}

set suggest [file tail [file rootname $dataname]]_selection

set name [fileselect $langstring(setcsv,$lang) csv $filedir save $suggest]
if {$name == ""} {return}

if {[file extension $name] != ".csv"} {set name $name.csv}

set ff [open $name w 0755]

#======================================================================================  
# Header schreiben, wie in extractexifs
puts $ff "Bildnummer$csvsep Kameramodell$csvsep Linse$csvsep Brennweite (35mm)$csvsep Blende$csvsep ISO$csvsep Belichtung$csvsep Blitz$csvsep Brennweite$csvsep Aufnahmedatum"
# Jetzt die Gesamtliste durchlaufen, die gesetzten Filter anwenden und die "gültigen" Zeilen schreiben
for {set i 1} {$i <= $imagenumber} {incr i } {
  set line $alldata($i)  
  if {[check_filter $line] && [timeFilter $line] && [dirFilter $line]} { 
	  set data [split $line $csvsep]
	  set imgname [lindex $data 0]
	  set camera [lindex $data 1]
	  set lens [lindex $data 2]
	  set focallength35 [lindex $data 3]
	  set aperture [lindex $data 4]
	  set iso [lindex $data 5]
	  set exposure [lindex $data 6]
	  set flash [lindex $data 7]
	  set focallength [lindex $data 8]
	  set datetime [lindex $data 9]
	  set abstime [lindex $data 10]
      set imgtype [lindex $data 11]
	  
	  set myline "$imgname$csvsep$camera$csvsep$lens$csvsep$focallength35$csvsep$aperture$csvsep$iso$csvsep$exposure$csvsep$flash$csvsep$focallength$csvsep$datetime"	

	  
	  puts $ff $myline }
}    
#======================================================================================  
close $ff
# und nun auf die gespeicherte Auswahl umschalten
set dataname $name
reRead $dataname
}

